luksdeinfo

NAME
luksdeinfo - determines information about a Linux Unified Key Setup (LUKS) Disk Encryption volume

SYNOPSIS
luksdeinfo [-k keys] [-o offset] [-p password] [-hvV] source

DESCRIPTION
luksdeinfo is a utility to determine information about a Linux Unified Key Setup (LUKS) Disk Encryption volume

luksdeinfo is part of the libluksde package. libluksde is a library to access the Linux Unified Key Setup (LUKS) Disk Encryption format

source is the source file.

The options are as follows:

-h  shows this help

-k keys
    the master key, formatted in base16

-o offset
    specify the volume offset

fl p password
    specify the password

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # luksdeinfo -p Password /dev/sda1
    luksdeinfo 20130704

    Linux Unified Key Setup Disk Encryption information:
    	Encryption method:		AES 128-bit

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libluksde/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2013-2020, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
luksdemount(1)